Connectors
All operations require authentication.
List connectorsBeta
Returns the connectors of the service with their status.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a connectorBeta
Returns the connector type, its configuration and its status.
Path parameters
Connector ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
Create a connectorBeta
Creates a connector of a type listed in the capabilities, with its configuration key-value pairs.
Path parameters
Project ID
Service ID
Request body (required)
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Name of the connector
Response
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a connectorBeta
Deletes the connector.
Path parameters
Connector ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
Update a connector configurationBeta
Updates the configuration of the connector. Keys omitted from the request are removed.
Path parameters
Connector ID
Project ID
Service ID
Request body (required)
Connector configuration key-value pairs. The whole configuration is replaced: keys omitted here are removed from the connector.
Response
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
Change the connector statusBeta
Pauses, resumes or restarts the connector, depending on the requested action.
Path parameters
Connector ID
Project ID
Service ID
Request body (required)
Action to perform on the connector
PAUSERESTARTRESUMEResponse
Hash of the resource used for concurrency control
Connector configuration key-value pairs
Identifier of the connector type from capabilities
Date at which the resource was created
Unique identifier of the connector
Name of the connector
Current status of the connector
CREATINGFAILEDPAUSEDRUNNINGUNASSIGNEDDate of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "configuration": { "key": "string" }, "connectorCapabilityId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "status": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
List connector tasksBeta
Returns the tasks of the connector with their status.
Path parameters
Connector ID
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the task within the connector
Current status of the task
FAILEDPAUSEDRUNNINGError trace if the task is in error state
Date of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a connector taskBeta
Returns the status of the task and, when it failed, its error trace.
Path parameters
Connector ID
Project ID
Service ID
Task ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the task within the connector
Current status of the task
FAILEDPAUSEDRUNNINGError trace if the task is in error state
Date of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Restart a connector taskBeta
Restarts the task and returns it with its new status.
Path parameters
Connector ID
Project ID
Service ID
Task ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Identifier of the task within the connector
Current status of the task
FAILEDPAUSEDRUNNINGError trace if the task is in error state
Date of the last update to the resource
Example uses connectorId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafkaConnect/ {serviceId}/ connector/ {connectorId}/ task/ {taskId}/ restart \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": 0, "status": "FAILED", "trace": "string", "updatedAt": "2024-01-01T12:00:00Z"}